Subject: Re: mpc5200b custom board upstreamable?

From: Sascha Hauer <[email-masked]>
Date: Thu, 24 Apr 2008 17:53:03 +0200

On Thu, Apr 24, 2008 at 09:13:45AM -0600, Grant Likely wrote:
> On Thu, Apr 24, 2008 at 9:12 AM, Sascha Hauer <[email-masked]> wrote:
> >
> >  Hi all,
> >
> >  I had the intention to push the code for a custom mpc5200b board (freely
> >  available, no internal project) upstream. After cleaning up the code I
> >  realized that actually no board specific code is left and our board is
> >  well handled by the mpc5200_simple_platform machine.
> >
> >  The only issue is that the machine only matches things like
> >  "schindler,cm5200", there's no generic entry. Would it be possible to
> >  add a "generic-mpc52xx" entry to this list?
> 
> I'm being cautious about this for the time being.  I'd like to have a
> generic match mechanism, but I don't want to do something that isn't
> easy to recover from if it turns out to be brain dead.  For now, just
> add your board name to the explicit match list.

The board is called "generic". No, just kidding ;)

> 
> >
> >  Another question: are defconfig and dts files for custom boards acceptable
> >  for upstream?
> 
> Yes, in the arch/powerpc/configs/52xx/ directory.

ok

Sascha

-- 
Pengutronix e.K. - Linux Solutions for Science and Industry
-----------------------------------------------------------
Kontakt-Informationen finden Sie im Header dieser Mail oder
auf der Webseite -> http://www.pengutronix.de/impressum/ <-